import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

// Aquest exemple llegeix un arxiu de text linia a linia

public class LecturaArxiuScanner {
    public static void main(String args[]) {
        String basePath = System.getProperty("user.dir") + "/";
        String filePath = basePath + "Arxiu.txt";

        System.out.println("");

        File file = new File(filePath);
        Scanner scnr;
        try {
            scnr = new Scanner(file);
            while(scnr.hasNextLine()){
                String line = scnr.nextLine();
                System.out.println(line);
            } 
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        }
    }
}